# REQUIRED CONFIG
BOT_TOKEN = "5823170711:AAHHYTh5t_-FOiCg8zaSU8W7SZsj7oVsfmM"
GDRIVE_FOLDER_ID = "188bVITcGjNi2Xaunj92wENjnNkJmhubi"
OWNER_ID =5161912359
DOWNLOAD_DIR = "/usr/src/app/downloads"
DOWNLOAD_STATUS_UPDATE_INTERVAL = 10
AUTO_DELETE_MESSAGE_DURATION = 30
TELEGRAM_API =15092260
TELEGRAM_HASH = "aa5d43581fe5ed04f3ef4298292857ab"

# OPTIONAL CONFIG
IS_TEAM_DRIVE = "true"
# DATABASE_URL = "postgres://zjjrcfhd:bEON0Npd29KSBlWEyBkQqQR6mcGEq9YC@manny.db.elephantsql.com/zjjrcfhd"
AUTHORIZED_CHATS = "-1001626304029"
SUDO_USERS = ""
IGNORE_PENDING_REQUESTS = "true"
USE_SERVICE_ACCOUNTS = "true"
INDEX_URL = ""
STATUS_LIMIT = "4"
STOP_DUPLICATE = "true"
CMD_INDEX = ""
UPTOBOX_TOKEN = ""
TORRENT_TIMEOUT = "300"
EXTENSION_FILTER = ".html .htm .json .txt .php .gif .png .lnk .torrent .url .nfo .xml .xhtml .jpg .srt .exe .pdf .m3u .sha .log .ssa .lrt .doc .docx .xls .xlsx .odt .abw"
INCOMPLETE_TASK_NOTIFIER = "true"
AUTO_DELETE_UPLOAD_MESSAGE_DURATION = -1

# Update
UPSTREAM_REPO = "https://gitlab.com/fitrianto.f/heroku"
UPSTREAM_BRANCH = "h-code"

FSUB_IDS = ""

# Mirror
MIRROR_LOGS = ""
BOT_PM = ""
FORCE_BOT_PM = ""
DISABLE_DRIVE_LINK = ""

# Leech
USER_SESSION_STRING = ""
LEECH_SPLIT_SIZE = ""
AS_DOCUMENT = ""
EQUAL_SPLITS = ""
CUSTOM_FILENAME = ""
LEECH_LOG = "-1001594726994
"
LEECH_LOG_LINK = ""

# qBittorrent/Aria2c
BASE_URL_OF_BOT = "https://nohbarubot1234.herokuapp.com"
SERVER_PORT = ""
WEB_PINCODE = ""

# RSS
RSS_DELAY = ""
RSS_COMMAND = ""
RSS_CHAT_ID = ""
RSS_USER_SESSION_STRING = ""

# Private Files
ACCOUNTS_ZIP_URL = "https://gitlab.com/fitrianto.f/cfd/-/raw/main/accounts.zip"
# TOKEN_PICKLE_URL = "https://filesaya.my.id/token.pickle"
MULTI_SEARCH_URL = ""
YT_COOKIES_URL = ""
NETRC_URL = ""

# Mega
MEGA_API_KEY = ""
MEGA_EMAIL_ID = ""
MEGA_PASSWORD = ""

# Gdtot
CRYPT = "ZTh6bFpHbEZLR2ZtY2lDbjBkVFh0RDBzQXkxU2p4UVJTQ2N2VDdpVmxzaz0%3D"

# Appdrive
APPDRIVE_EMAIL = ""
APPDRIVE_PASS = ""

# Size Limits
TORRENT_DIRECT_LIMIT = "80"
LEECH_LIMIT = "10"
ZIP_UNZIP_LIMIT = "50"
CLONE_LIMIT = "250"
MEGA_LIMIT = ""
STORAGE_THRESHOLD = "20"
USER_TASKS_LIMIT = "50"
TOTAL_TASKS_LIMIT = "50"

# Telegraph UI
HTML = ""
TITLE_NAME = "@KuyMirrorBot"

# Buttons
VIEW_LINK = ""
SOURCE_LINK = ""

# Shortener
SHORTENER = ""
SHORTENER_API = ""

# Torrent Search
SEARCH_API_LINK = ""
SEARCH_LIMIT = ""
SEARCH_PLUGINS = '["https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/rarbg.py",
                   "https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/piratebay.py",
                                      "https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/legittorrents.py",
                                                         "https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/limetorrents.py",
                                                                            "https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/torrentscsv.py",
                                                                                               "https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/zooqle.py",
                                                                                                                  "https://raw.githubusercontent.com/qbittorrent/search-plugins/master/nova3/engines/eztv.py",
                                                                                                                                     "https://raw.githubusercontent.com/MaurizioRicci/qBittorrent_search_engines/master/kickass_torrent.py",
                                                                                                                                                        "https://raw.githubusercontent.com/MaurizioRicci/qBittorrent_search_engines/master/yts_am.py",
                                                                                                                                                                           "https://raw.githubusercontent.com/MadeOfMagicAndWires/qBit-plugins/master/engines/linuxtracker.py",
                                                                                                                                                                                              "https://raw.githubusercontent.com/MadeOfMagicAndWires/qBit-plugins/master/engines/nyaasi.py",
                                                                                                                                                                                                                 "https://raw.githubusercontent.com/LightDestory/qBittorrent-Search-Plugins/master/src/engines/ettv.py",
                                                                                                                                                                                                                                    "https://raw.githubusercontent.com/LightDestory/qBittorrent-Search-Plugins/master/src/engines/glotorrents.py",
                                                                                                                                                                                                                                                       "https://raw.githubusercontent.com/LightDestory/qBittorrent-Search-Plugins/master/src/engines/thepiratebay.py",
                                                                                                                                                                                                                                                                          "https://raw.githubusercontent.com/nindogo/qbtSearchScripts/master/magnetdl.py",
                                                                                                                                                                                                                                                                                             "https://raw.githubusercontent.com/khensolomon/leyts/master/yts.py"]'
